Read a Computer Agent workspace file
Returns the text content of one customer-created, workspace-relative file. Canvas source is available under app even though that directory is omitted from root listings. Use the agent configuration workflow for agent instructions and settings.
OpenAPI
````yaml post /api/v2/computer/accounts/{targetAccountId}/workspace/read
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/computer/accounts/{targetAccountId}/workspace/read:
post:
tags:
- Computer Agents
summary: Read a Computer Agent workspace file
description: >
Returns the text content of one customer-created, workspace-relative
file. Canvas source is available under app even though that directory is
omitted from root listings. Use the agent configuration workflow for
agent instructions and settings.
operationId: workspacePostWorkspaceRead
parameters:
- name: targetAccountId
in: path
required: true
description: ''
schema:
type: string
requestBody:
required: true
content:
application/json:
schema:
type: object
required:
- path
properties:
path:
type: string
description: Workspace-relative text file to read.
responses:
'200':
description: Successful response
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token
````
